#!/bin/sh

AVG_SCRIPTS_DIR=/opt/grisoft/avg7/etc/init.d/

. ${AVG_SCRIPTS_DIR}/avgdinit.conf
. ${AVG_SCRIPTS_DIR}/functions.common
. ${AVG_SCRIPTS_DIR}/functions.slack

distro=`detect_distro`

echo "Installing 'avgd' service initscripts..."

case "$distro" in
    rh | suse | mdk | ubuntu | deb )
	ln -s ${AVG_SCRIPTS_DIR}/avgd.all /etc/init.d/avgd
	;;
    slack )
	ln -s ${AVG_SCRIPTS_DIR}/avgd.all /etc/rc.d/avgd
	;;
    * )
	echo "Automatic installation of initscripts for your platform/distro is not supported."
	echo "Please, in directory according to your plartform/distribution"
	echo "create symbolic link 'avgd' to initscript for AVG daemon"
	echo "${AVG_SCRIPTS_DIR}/avgd.all."
	;;
esac

echo "Registering 'avgd' service to runlevels..."

case "$distro" in
    rh | suse | mdk )
	/sbin/chkconfig --add avgd
	;;
    deb | ubuntu )
	update-rc.d avgd defaults
	;;
    slack )
	# System V emulation
	# get runlevels to register from initscript file (if possible)
	echo "Using System V emulation for registering initscript to runlevels"

	levels=`awk '$1 == "#" && $2 == "chkconfig:" {print $3":"$4":"$5}' ${AVG_SCRIPTS_DIR}/avgd.all`;
	levels=${levels:-"2345:60:40"}
        register_slack_initscript "/etc/rc.d/avgd" $levels	
	;;
    * )
	echo "Automatic registration of initscripts for your platform/distro is not supported."
	echo "Please, register the 'avgd' service initscript for startup and runlevels."
	;;
esac

touch /opt/grisoft/avg7/data/set_vers.cfg
/usr/bin/avgscan -register 70FREE-TX-IB-P1-C01-S139FC-327-9FPB
echo "Please launch the '/opt/grisoft/avggui/bin/avggui_update_licinfo.sh'"
echo "script as root for updating license information."
echo
echo "AVG 7.1 Anti-Virus Free for Linux successfully installed."
if [ -x /usr/bin/update-menus ]; then /usr/bin/update-menus || true ; fi