#!/bin/sh

if [ $1 = 0 ] ; then

    . /opt/grisoft/avg7/etc/init.d/avgdinit.conf
    . /opt/grisoft/avg7/etc/init.d/functions.common
    . /opt/grisoft/avg7/etc/init.d/functions.slack	
    
    distro=`detect_distro`

    echo "Unregistering 'avgd' service ..."

    case "$distro" in
	rh | suse | mdk )
	    /sbin/chkconfig --del avgd
	    ;;
	deb | ubuntu )
	    update-rc.d avgd remove
	    ;;
	slack )
	    # System V emulation	    
            unregister_slack_initscript avgd	
	    ;;
	* )
	    echo "Automatic unregistration of 'avgd' service initscript for your platform/distro is not supported."
	    ;;
    esac

    # Stop the daemon
    
    case "$distro" in
	rh | suse | mdk | deb | ubuntu )
	    /etc/init.d/avgd stop >/dev/null 2>&1
	    ;;
	slack )
	    /etc/rc.d/avgd stop >/dev/null 2>&1
	    ;;
	* )
	    ;;
    esac
    	
    echo "Uninstalling 'avgd' service initscripts..."
    
    case "$distro" in
	rh | suse | mdk | ubuntu | deb )
	    rm /etc/init.d/avgd
	    ;;
	slack )
	    rm /etc/rc.d/avgd
	    ;;
	* )
	    echo "Automatic uninstallation of initscripts for your platform/distro is not supported."
	    ;;
	
    esac
    
fi	

cp /opt/grisoft/avg7/data/set_vers.cfg /opt/grisoft/avg7/data/upd_vers.cfg
rm -f /opt/grisoft/avggui/prog/*.pyc

exit 0